module Config.Helpers.Headers.Header exposing (..)

import Config.Helpers.Cardables.Helpers exposing (cardMaker)
import Config.Helpers.Cardables.Types as C
import Config.Helpers.Headers.Types exposing (Header)
import Config.Pages.Contact.Types exposing (Contact)
import Element as E
    exposing
        ( Device
        , Element
        , column
        , row
        , text
        )
import Shared exposing (..)



-- headerMaker : Device -> Header -> Element msg
-- headerMaker device header =
--     cardMaker device header.headerTitle (contentList header) { description = "", src = "" } ""


contentList : Header -> List (Element msg)
contentList header =
    [ text header.headerBody ]


servicesHeader : Header
servicesHeader =
    let
        name =
            "Services"
    in
    { headerTitle = String.toUpper name
    , headerBody = "Bundle any of the services below to receive a $10 discount per hour. For example, two Debate Analysis sessions would cost $140 total, instead of $80/hr. All prices are in CAD."
    }
